Subject: Re: [Diffserv] Comment on model draft-03

From: Brian E Carpenter <[email-masked]>
Date: Thu, 01 Jun 2000 11:44:36 -0500

jamal wrote:
> 
> On Tue, 30 May 2000, Brian E Carpenter wrote:
> 
> > Jamal,
> >
> > Comments on some of your comments...
> >
> 
> And comments on your comments to my comments ;->

I'll take a card; one card :-)

> > > This version seems to have sunk into more "implementation specifics"
> >
> > That's not my impression. While we are not describing an implementation,
> > it's impossible to describe a model that has no connection to *potential*
> > implementations.
> >
> 
> Fair enough. But why the suggestions on how to do things? The details
> on freeing buffers etc are based on one/several authors implementation i
> am sure.
> Where is this document heading towards again? I can only see it as an
> informational RFC.
>
Absolutely, it will be informational. The MIB and the PIB
will be standards track.

I'll pass on your other comments; we will have to agree to differ.

   Brian

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 01 Jun 2000 13:28:20 -0500

> On Tue, 30 May 2000, Brian E Carpenter wrote:
...
> > > With the algorithmic dropper,since you use the RED-like algorithm as
> > > an example, where does ECN marking fit? (note your usage of "dropper").
> >
> > ECN isn't part of Diffserv, so it doesn't fit in anywhere.
> >
> 
> Great; so now Diffserv lives in an isolated world. I thought you said that
> you cant avoid implementation specifics in some cases. I know you are
> trying to close this document but ...
> Both ECN and Diffserv use RED and some of "marking" the old 8bits. That is
> a bit too close to hand wave away.
> I see the use of the ECN bits for example being used to provide a lossless
> AF end2end service for TCP.

ECN is an Experimental Protocol (RFC 2481). We can't build any dependency
on it in a standards track activity. (Agreed, the diffserv conceptual model
is not a standards track document, but the diffserv MIB is.) If the ECN
community wants to write a Conceptual Model for ECN-enabled Routers they
are more than free to do so; I don't see any conflict between ECN and
diffserv, but I don't see any required relationship either. 

I certainly agree that in an implementation, I would expect the ECN marker
to be closely associated with a dropper. But that's a product issue.

   Brian

> 
> > > Another rat hole.
> > > Out of band smoothing function versus in-data-path smoothing function.
> >
> > Doesn't look out of band to me; there's a feedback loop right there.
> 
> I should have been more specific:
> with the abovce scheme you periodically sample the queue and compute the
> RED paramaters offline on the control plane (as in not in the data
> path). I refer to this as out of band. Some other scheme might compute
> things per packet on the data path; this would be inband.
> 
> cheers,
> jamal

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Program Director, Internet Standards & Technology, IBM 
On assignment for IBM at http://www.iCAIR.org 
Attend INET 2000: http://www.isoc.org/inet2000
Non-IBM email: [email-masked]